#pragma once

#include "AppMenus/AppMenu.h"
#include "Settings.h"

#include <stack>
#include <memory>
#include <SFML/Graphics.hpp>


class GraphApp {
    private:
        std::shared_ptr<Settings> settings;
        std::shared_ptr<MenuStack> menuStack;
        std::shared_ptr<sf::RenderWindow> renderWindow;
    
    public:
        GraphApp();

        void run();
};
